ランタイム: Mix::Scene::IModel Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IModel Class Referenceabstract

モデルインターフェース More...

`#include <IModel.h>`

Inheritance diagram for Mix::Scene::IModel:
[legend]
Collaboration diagram for Mix::Scene::IModel:
[legend]

## Public Member Functions

virtual UInt32 | GetMaterialSlotCount (void) const =0
| マテリアルスロットの数を取得します More...
virtual const wchar_t * | GetMaterialSlotName (UInt32 slotIndex) const =0
| マテリアルスロットの名前を取得します More...
virtual UInt32 | GetMaterialSlotIndex (const wchar_t *pSlotName)=0
| マテリアルスロットのインデックスを取得します More...
virtual Boolean | GetMaterialByIndex (UInt32 slotIndex, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | GetMaterialByName (const wchar_t *pSlotName, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | SetMaterialByIndex (UInt32 slotIndex, Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual Boolean | SetMaterialByName (const wchar_t *pSlotName, Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Scene::IEntity
virtual Boolean | IsDraw (void) const =0
| 描画するかどうかを確認します More...
virtual void | SetDraw (Boolean state)=0
| 描画するかどうかを設定します More...
virtual Boolean | IsLocalLighting (void) const =0
| ポイントライト、スポットライトによるライティングを行うかどうかを確認します More...
virtual void | SetLocalLighting (Boolean state)=0
| ポイントライト、スポットライトによるライティングを行うかどうかを設定します More...
virtual UInt32 | GetTransparencyPriority (void) const =0
| 半透明ポリゴンの描画の優先度を取得します More...
virtual void | SetTransparencyPriority (UInt32 priority)=0
| 半透明ポリゴンの描画の優先度を設定します More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | GetDefaultWaterContainsResult (void) const =0
| 水中かどうかを判定する際のデフォルト値を取得します More...
virtual void | SetDefaultWaterContainsResult (Mix::Scene::WATER_CONTAINS_RESULT result)=0
| 水中かどうかを判定する際のデフォルト値を設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IModel (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IEntity
virtual | ~IEntity (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

モデルインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IModel::~IModel | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::Scene::IModel::GetMaterialSlotCount | ( | void |  | ) | const

pure virtual

マテリアルスロットの数を取得します

Returns
  マテリアルスロットの数を返します

virtual const wchar_t* Mix::Scene::IModel::GetMaterialSlotName | ( | UInt32 | slotIndex | ) | const

pure virtual

マテリアルスロットの名前を取得します

Parameters

  [in] | slotIndex | マテリアルスロットのインデックス

Returns
  マテリアルスロットの名前を返します

virtual UInt32 Mix::Scene::IModel::GetMaterialSlotIndex | ( | const wchar_t * | pSlotName | ) |

pure virtual

マテリアルスロットのインデックスを取得します

Parameters

  [in] | pSlotName | マテリアルスロットの名前

Returns
  マテリアルスロットのインデックスを返します

virtual Boolean Mix::Scene::IModel::GetMaterialByIndex | ( | UInt32 | slotIndex,
|  | Mix::Scene::IMaterial ** | ppMaterial
| ) |  |

pure virtual

マテリアルを取得します

Parameters

  [in] | slotIndex | マテリアルスロットのインデックス
  [out] | ppMaterial | 取得したマテリアルを渡す Mix::Scene::IMaterial インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

Note
  取得に成功した場合は、マテリアルの参照カウンタを +1 します

virtual Boolean Mix::Scene::IModel::GetMaterialByName | ( | const wchar_t * | pSlotName,
|  | Mix::Scene::IMaterial ** | ppMaterial
| ) |  |

pure virtual

マテリアルを取得します

Parameters

  [in] | pSlotName | マテリアルスロットの名前
  [out] | ppMaterial | 取得したマテリアルを渡す Mix::Scene::IMaterial インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

Note
  取得に成功した場合は、マテリアルの参照カウンタを +1 します

virtual Boolean Mix::Scene::IModel::SetMaterialByIndex | ( | UInt32 | slotIndex,
|  | Mix::Scene::IMaterial * | pMaterial
| ) |  |

pure virtual

マテリアルを設定します

Parameters

  [in] | slotIndex | マテリアルスロットのインデックス
  [in] | pMaterial | 設定するマテリアルを表す Mix::Scene::IMaterial インターフェースのポインタ

Returns
  設定に成功した場合は True を返します

Note
  設定に成功した場合は、直前のマテリアルの参照カウンタを -1 し、新たに設定されもを +1 します

virtual Boolean Mix::Scene::IModel::SetMaterialByName | ( | const wchar_t * | pSlotName,
|  | Mix::Scene::IMaterial * | pMaterial
| ) |  |

pure virtual

マテリアルを設定します

Parameters

  [in] | pSlotName | マテリアルスロットの名前
  [in] | pMaterial | 設定するマテリアルを表す Mix::Scene::IMaterial インターフェースのポインタ

Returns
  設定に成功した場合は True を返します

Note
  設定に成功した場合は、直前のマテリアルの参照カウンタを -1 し、新たに設定されもを +1 します

virtual Int32 Mix::Scene::IModel::GetUserIndex | ( | void |  | ) | const

pure virtual

ユーザーインデックスを取得します

Returns
  インデックスを返します

virtual void Mix::Scene::IModel::SetUserIndex | ( | Int32 | index | ) |

pure virtual

ユーザーインデックスを設定します

Parameters

  index | インデックス

Note
  この値はユーザーが自由に使用できます

virtual void* Mix::Scene::IModel::GetUserPtr | ( | void |  | ) | const

pure virtual

ユーザーポインタを取得します

Returns
  ポインタを返します

virtual void Mix::Scene::IModel::SetUserPtr | ( | void * | pData | ) |

pure virtual

ユーザーポインタを設定します

Parameters

  pData | ポインタ

Note
  この値はユーザーが自由に使用できます

The documentation for this class was generated from the following file:

- Mix/Scene/IModel.h